
# Konfigurations-Datei für HBCI4Java Kernel-Parameter.
# Alle verfügbaren Parameter sind in der API-Dok. zur
# Klasse org.kapott.hbci.manager.HBCIUtils beschrieben.
# Es handelt sich dabei um die Parameter, die via HBCIUtils.setParam(...)
# gesetzt werden können (siehe entsprechende API-Dok.)
# 
# Zusätzlich zu den in der Dok. beschriebenen Parametern gibt 
# es den Parameter "default.hbciversion", der festlegt, welche 
# HBCI-Version verwendet werden soll, falls ein neues Passport-File 
# erzeugt wird bzw. falls die zu verwendende HBCI-Version nicht 
# im Passport-File gespeichert ist (normalerweise wird die HBCI-Version 
# verwendet, die im Passport-File gespeichert ist).
#
# Der Dateiname dieser Datei wird beim Ausführen von HBCIBatch
# so an HBCI4Java übergeben:
#
#   HBCIUtils.init(new FileSystemClassLoader(), FILENAME, new MyCallback(args));
#
# "FILENAME" steht dabei für den Dateinamen dieser Datei. Siehe die 
# entsprechenden API-Doks für mehr Details dazu.

client.passport.default=PinTan
default.hbciversion=plus
log.loglevel.default=2

# client.passport.DDV.path=./passports/
# client.passport.DDV.libname.ddv=/home/kleiner/projects/hbci4java-stable/chipcard/lib/libhbci4java-card-linux.so
# client.passport.DDV.libname.ctapi=/usr/lib/libctapi-cyberjack.so
# client.passport.DDV.port=1
# client.passport.DDV.ctnumber=0
# client.passport.DDV.usebio=0
# client.passport.DDV.softpin=1
# client.passport.DDV.entryidx=1

# client.passport.RDHNew.filename=./passports/institute_X_user_Y.dat
# client.passport.RDHNew.init=1

# client.passport.SIZRDHFile.filename=./passports/secret.key
# client.passport.SIZRDHFile.libname=/usr/lib/libhbci4java-sizrdh.so
# client.passport.SIZRDHFile.init=1

# client.passport.RDH.filename=./passports/institute_X_user_Y.dat
# client.passport.RDH.init=1

client.passport.PinTan.filename=/home/kleiner/projects/hbci4java-stable/pintan_hbci4java
# client.passport.PinTan.certfile=hbcicerts.bin
client.passport.PinTan.checkcert=1
# client.passport.PinTan.proxy=proxy.intern.domain.com:3128
client.passport.PinTan.init=1

# client.passport.Anonymous.filename=./passports/institute_xx_anonymous.dat
# client.passport.Anonymous.init=1

